


# SmeupListType enum











## Constants

##### oriented const [SmeupListType](../smeup_models_widgets_smeup_list_box_model/SmeupListType.md)



   




##### simple const [SmeupListType](../smeup_models_widgets_smeup_list_box_model/SmeupListType.md)



   




##### values const [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[SmeupListType](../smeup_models_widgets_smeup_list_box_model/SmeupListType.md)>



<p>A constant List of the values in this enum, in order of their declaration.</p>   




##### wheel const [SmeupListType](../smeup_models_widgets_smeup_list_box_model/SmeupListType.md)



   





## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### index &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



<p>The integer index of this enum.</p>   
_final_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](../smeup_models_widgets_smeup_list_box_model/SmeupListType/toString.md)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](../smeup_models_widgets_smeup_list_box_model/SmeupListType/toString.md)  
_override_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_










